#ifndef IOSPERMISSIONUTILS_H
#define IOSPERMISSIONUTILS_H

#include <QObject>
#include <QEventLoop>

class IosPermissionUtils : QObject
{
    Q_OBJECT
public:
    IosPermissionUtils();
    bool isCameraPermissionGranted();
    bool requestCameraPermission();

private:
    QEventLoop* _responseWaitLoop;

signals:
    void permissionRequestFinished(bool result);
};

#endif // IOSPERMISSIONUTILS_H
